Redmine - Defect #31053

Some issue fixtures are set inconsistent tracker id which is not available in the project
2019-03-19 08:08 - Mizuki ISHIKAWA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed Affected version:

Description

Of the test data, issues_005, issues_013 and issues_014 use trackers which should not be available.

[1] pry(main)> Issue.where(id: [5, 13, 14]).select(:id, :project_id, :tracker_id)
=> [#<Issue:0x00007fdab99315c0 id: 5, tracker_id: 1, project_id: 3>,
#<Issue:0x00007fdab9903fa8 id: 13, tracker_id: 1, project_id: 3>,
#<Issue:0x00007£fdab9903d78 id: 14, tracker_id: 1, project_id: 3>]

[2] pry(main)> Project.find(3) .tracker_ids # trackers available for project 3
=> [2, 3]

After applying the patch:

[1] pry(main)> Issue.where(id: [5, 13, 14]).select(:1d, :project_id, :tracker_id)
=> [#<Issue:0x00007fdab99315c0 id: 5, tracker_id: 1, project_id: 3>,
#<Issue:0x00007fdab9903fa8 id: 13, tracker_id: 1, project_id: 3>,
#<Issue:0x00007fdab9903d78 id: 14, tracker_id: 1, project_id: 3>]

[2] pry(main)> Project.find(3).tracker_ids # trackers available for project 3
=> [1, 2, 3]

Associated revisions

Revision 18309 - 2019-06-21 07:01 - Go MAEDA

Some issue fixtures are set inconsistent tracker id which is not available in the project (#31053).

Patch by Mizuki ISHIKAWA.

History

#1 - 2019-03-22 08:44 - Mizuki ISHIKAWA

| confirmed that all tests were successful after applying the patch.

#2 - 2019-06-21 05:17 - Go MAEDA

- Tracker changed from Patch to Defect

- Subject changed from Fix fixtures with incorrect value to Some issue fixtures are set inconsistent tracker id which is not available in the project
- Status changed from New to Confirmed

- Target version set to 4.1.0

#3 - 2019-06-21 07:06 - Go MAEDA
- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thanks.
